\version "2.18.2"
				%Disably P&C reduces filesize
\pointAndClickOff
				%Paper options
\paper {
  #(set-paper-size "a4" 'portrait)
}
\include "../Boilerplate/typesetting_functions.ly"
\include "../Boilerplate/tree.ly"
#(set-global-staff-size 16)

\include "Superius.ly"
\include "Altus.ly"
\include "Tenor.ly"
\include "Bassus.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/tenor" "/altus" "/bassus"
#}
)

threePart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Trio #movement "/superius" "/altus" "/bassus"
#}
)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Missa Maria Zart"
    composer = "Jacob Obrecht (1457/8 - 1505)"
    subtitle = "Kyrie"
    tagline = "" %stop automatic tag at end
  }
				%Subsections of the piece
  \score {
    \header {piece = "Kyre I"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/kyrieI"
    \layout {\layoutOne}
    \midi {\tempo 2 = 60}
  }
  \score {
    \header {piece = "Christe"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/christe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 70}
  }
  \score {
    \header {piece = "Kyrie II"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/kyrieII"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
}
%%%
\bookpart {
  \header {
    title = "Missa Maria Zart"
    composer = "Jacob Obrecht (1457/8 - 1505)"
    subtitle = "Gloria"
    tagline = "" %stop automatic tag at end
  }
				%Subsections of the piece
  \score {
    \header {piece = "Et in terra"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/etInTerra"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Domine"}
    \keepWithTag #'mod
    \Duet "obrecht/missaMariaZart/domine" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Qui Tollis I"}
    \keepWithTag #'mod
    \Duet "obrecht/missaMariaZart/quiTollisI" "/superius" "/altus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Qui Tollis II"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/quiTollisII"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
}
%%%
\bookpart {
  \header {
    title = "Missa Maria Zart"
    composer = "Jacob Obrecht (1457/8 - 1505)"
    subtitle = "Credo"
    tagline = "" %stop automatic tag at end
  }
				%Subsections of the piece
  \score {
    \header {piece = "Patrem"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/patrem"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Qui Propter"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/quiPropter"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Et Incarnatus"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/etIncarnatus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Et resurrexit"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/etResurrexit"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
}
%%%
\bookpart {
  \header {
    title = "Missa Maria Zart"
    composer = "Jacob Obrecht (1457/8 - 1505)"
    subtitle = "Sanctus"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \header {piece = "Sanctus"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/sanctus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 55}
  }
  \score {
    \header {piece = "Pleni"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/pleni"
    \layout {\layoutOne}
    \midi {\tempo 2 = 60}
  }
  \score {
    \header {piece = "Osanna"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/osanna"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Benedictus"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/benedictus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \markup \fill-line {
    \center-column {
      \line {" "}
      \line {\smallCaps "Osanna ut supra"}
    }
  }
}
%%%
\bookpart {
  \header {
    title = "Missa Maria Zart"
    composer = "Jacob Obrecht (1457/8 - 1505)"
    subtitle = "Agnus dei"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \header {piece = "Agnus dei I"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/agnusI"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Agnus dei II"}
    \keepWithTag #'mod
    \threePart "obrecht/missaMariaZart/agnusII"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
  \score {
    \header {piece = "Agnus dei III"}
    \keepWithTag #'mod
    \fourPart "obrecht/missaMariaZart/agnusIII"
    \layout {\layoutOne}
    \midi {\tempo 2 = 75}
  }
}

%%%piece = #"obrecht/missaMariaZart/"
%%%
%%%tenorMusic =
%%%#(define-music-function
%%%     (parser location movement)
%%%     (string?)
%%%   #{
%%%  \new MensuralStaff \with {
%%%  \remove "Instrument_name_engraver"
%%%}{
%%%  \musBoilerOri {
%%%  \keepWithTag #'ori
%%%  \getMusic \stringAppend \piece \stringAppend #movement "/tenor/melody"
%%%}
%%%}
%%%#}
%%%)
%%%
%%%#(define-markup-command (segmentation layout props movement) (string?)
%%%  "The Tenor Segmentation"
%%%  (interpret-markup layout props
%%%   #{
%%%\markup {
%%%  \fill-line {
%%%    \center-column {
%%%      \score {
%%%	\tenorMusic #movement
%%%	\layout {}
%%%      }
%%%      \vspace #2
%%%    }
%%%  }
%%%}
%%%   #}))
%%%
%%%#(set-global-staff-size 27)
%%%
%%%\markup {
%%%  \center-column {
%%%    \line { \huge \bold \caps {The segmentation of the Maria Zart melody} }
%%%    \null
%%%    \null
%%%    \segmentation #"kyrieI"
%%%    \segmentation #"kyrieII"
%%%    \segmentation #"etInTerra"
%%%    \segmentation #"quiTollisII"
%%%    \segmentation #"patrem"
%%%    \segmentation #"etResurrexit"
%%%    \segmentation #"sanctus"
%%%    \segmentation #"osanna"
%%%  }
%%%}